=== debian/changelog ===
ros-kinetic-vrx-gazebo (1.3.0-1xenial) xenial; urgency=high

  * Fix pose frame in scan_and_dock1.world
  * make marker id more intelligible
  * documenting new yaw parameter
  * adding direction indicator to visual markers for stationkeeping and wayfinding
  * Fix perception plugin object types.
  * Fix offset in 2016 dynamic dock.
  * Center all placards in the dock bays.
  * Update expected type in perception plugin for surmark objects.
  * Set initial and ready states to 10 seconds in dock tasks.
  * Merged in worlds_refactor (pull request #213)
    Refactor VRX worlds location
    Approved-by: Coline Ramee <mailto:coline.ramee@gatech.edu>
    Approved-by: Brian Bingham <mailto:briansbingham@gmail.com>
  * Make the exit gate a blue-red gate.
  * Refactor VRX worlds location.
  * Updated perception score according to the 1.4 version of the tasks document.
  * dealing with fail and style tweaks
  * adding a modified nav course world to speed up testing
  * changing scoring method to be consistent with documentation
  * tracking down more bad dock worlds
  * disables color checker in example models and by default in dock.xacro
  * prohibiting p3d sensor in compliance check
  * update old worlds
  * changing task names in standalone
  * initializing error total
  * adding worlds and models used in Phase2 for Phase 3 practice
  * adding xacro parameter to specify task name in plugin
  * adding commad line arg to keydrive launch
  * remapping for new namespace
  * Add sail and rudder link to wamv base, as well as turn post to wind direction arrow
  * Extra path to be added to GAZEBO_MODEL_PATH.
  * Set GAZEBO_MODEL_PATH while playing back.
  * adding practice worlds for stationkeeping and wayfinding
  * Contributors: Brian Bingham <mailto:briansbingham@gmail.com>, Carlos Aguero, Carlos Agüero <mailto:cen.aguero@gmail.com>, Tyler Lum <mailto:tylergwlum@gmail.com>, m1chaelm

 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 25 Dec 2019 23:00:00 -0000

ros-kinetic-vrx-gazebo (1.2.6-1xenial) xenial; urgency=high

  * new worlds with only one dock
  * Scan and dock worlds - models are aleady present
  * Merged in stationkeeping_wind (pull request #187)
    Default Wind for Tasks
    Approved-by: Brian Bingham <mailto:briansbingham@gmail.com>
  * Adding stdout messages when to help with debugging color sequence checking service
  * Adding navigation course models and worlds.
  * Adding practice perception worlds.
  * adding dock worlds and associated models to support dress rehearsal practice
  * style
  * Functionality to turn off color checker in the scan_dock_scoring_plugin
  * restore rms_error topic name
  * merging default
  * Merged in issue_164 (pull request #188)
    Fixing dock scoring plugin for Gazebo 9
    Approved-by: Brian Bingham <mailto:briansbingham@gmail.com>
  * tweak to generator to allow calling same macro more than once
  * towards permutations
  * adding empty directory
  * Remove dock_2018_dynamic/model.sdf
  * fix meanError equation
  * switching from RMS error to mean pose error
  * new heading error formula
  * adding model_name paramter to dock.xacro for flexibility in generating automated tasks
  * state diagram
  * images for wiki
  * Tweak
  * Double activation zone.
  * Style.
  * removing activation zone viz from world.xacro
  * adding gzmsgs
  * merging with issue_164 and moving dock closer to WAMV
  * increment
  * Moving dock closer to WAMV
  * Functional
  * temporary
  * working on brute force docking solution
  * easier setup, but not working?
  * adding insert blocks to generate debug markers for wayfinding and stationkeeping tasks
  * Tweak
  * Fixing dock scoring plugin for Gazebo 9.
  * Move lock_guard.
  * code check whitespace
  * reinit when getting new color seq.
  * adding default wind to dock, scan-dock and wayfinding tasks
  * connecting usv_wind_plugin to stationkeeping world
  * Model default is off.
  * adding params to dock.xacro for task/trial generation
  * adds light buoys
  * changes to debugging messages to help find issues with docking
  * More Python3 tweaks.
  * Remove .keys().
  * Easy docking example for testing
  * adding wamv_locked argument to vrx.launch
  * adding fog and ambient elements to sandisland xacro
  * messing with plugins
  * simple macro for inserting a model - useful for task generation
  * a bit of a hack, but allows us repeated use of same macro
  * Contributors: Brian Bingham <mailto:briansbingham@gmail.com>, Carlos Aguero, Carlos Agüero <mailto:cen.aguero@gmail.com>, m1chaelm

 -- Carlos Aguero <caguero@osrfoundation.org>  Thu, 03 Oct 2019 22:00:00 -0000

ros-kinetic-vrx-gazebo (1.2.5-1xenial) xenial; urgency=high

  * Remove <announce_symbol> parameter.
  * moving static docks to waterline
  * Use __future__ import
  * Adding running_duration parameter to the nav_challenge.xacro.
  * Tweak buoyany primative so that 4x4 dock element floats at water line instead of above
  * Adding parameters to dock.xacro to for auto. generation of tasks
  * adding params to dock xacro for the benefit of automatically generating tasks
  * Changes for code checker
  * Contributors: Brian Bingham <mailto:briansbingham@gmail.com>, Carlos Aguero, Carlos Aguero <mailto:caguero@openrobotics.org>

 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 18 Sep 2019 22:00:00 -0000

ros-kinetic-vrx-gazebo (1.2.4-1xenial) xenial; urgency=high

  * Add protobuf-dev as a buildtool depend for vrx_gazebo
  * Tweaks: Adding missing line breaks and adjusting perspective file for new topic namespace
  * Contributors: Brian Bingham <mailto:briansbingham@gmail.com>, Tully Foote <mailto:tfoote@osrfoundation.org>

 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 11 Sep 2019 22:00:00 -0000

ros-kinetic-vrx-gazebo (1.2.3-1xenial) xenial; urgency=high

  * Minor maintenance updates.
  * Contributors: Carlos Aguero

 -- Carlos Aguero <caguero@osrfoundation.org>  Wed, 11 Sep 2019 22:00:00 -0000


