=== debian/control ===
Source: ros-kinetic-vrx-gazebo
Section: misc
Priority: optional
Maintainer: Carlos Aguero <caguero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libprotobuf-dev, libprotoc-dev, protobuf-compiler, ros-kinetic-catkin, ros-kinetic-gazebo-dev, ros-kinetic-gazebo-ros (>= 2.5.17), ros-kinetic-geographic-msgs, ros-kinetic-joy, ros-kinetic-joy-teleop, ros-kinetic-message-runtime, ros-kinetic-std-msgs, ros-kinetic-wamv-gazebo, ros-kinetic-wave-gazebo, ros-kinetic-xacro
Homepage: http://wiki.ros.org/vrx_gazebo
Standards-Version: 3.9.2

Package: ros-kinetic-vrx-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-gazebo-dev, ros-kinetic-gazebo-ros (>= 2.5.17), ros-kinetic-geographic-msgs, ros-kinetic-joy, ros-kinetic-joy-teleop, ros-kinetic-message-runtime, ros-kinetic-std-msgs, ros-kinetic-wamv-gazebo, ros-kinetic-wave-gazebo, ros-kinetic-xacro
Replaces: ros-kinetic-vmrc-gazebo
Description: The ROS package for the RobotX competition running in Gazebo.
